/*
	XmBlackBerry, Copyright (C) 2008  Rick Scott <rwscott@users.sourceforge.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 2.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "config.h"

#include "util.h"
#include "charge.h"

int
set_charge(struct usb_interface *intf)
{
int ret = 0;
struct usb_device *udev;

    udev = interface_to_usbdev(intf);

    if (udev->descriptor.bcdDevice >= 0x0100)
    {
    	ret = usb_control_msg(udev, usb_sndctrlpipe(udev, 0),
	    0xa2,
	    USB_DIR_OUT | USB_TYPE_VENDOR | USB_RECIP_DEVICE,
	    0,
	    1,
	    NULL,
	    0,
	    USB_CTRL_SET_TIMEOUT);
	if (ret)
    	{
	    info("%s(%d)", __FUNCTION__, __LINE__);
    	}
    	else
	{
	    ret = usb_reset_configuration(udev);
	}

    	if (ret)
    	{
	    info("%s(%d)", __FUNCTION__, __LINE__);
    	}
    	else
    	{
	    ret = -ENODEV;
    	}
    }
    else
    {
    	/*
    	info("%s(%d) - Can't increase power on this device SubClass 0x%02x", __FUNCTION__, __LINE__,
	    intf->cur_altsetting->desc.bInterfaceSubClass);
	    */
    }
    return(ret);
}
