/*
	XmBlackBerry, Copyright (C) 2008  Rick Scott <rwscott@users.sourceforge.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 2.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _MODEM_H
#define _MODEM_H

#include <linux/tty.h>

struct modem {
    struct tty_struct *tty;
    int open_count;
    struct semaphore sem;
    struct work_struct read_work;
    int read_ep;
    int write_ep;
    int tx_urbs;
    int rx_urbs;
    int rx_special_urbs;
    int extra_space;
    int max_rx;
    wait_queue_head_t open_wait;
    int login_complete;
    struct urb *rx_urb;
    char *rx_buf;
};

int modem_register(void);
int modem_deregister(void);
int modem_deregister_device(struct modem *modem, int index);
int modem_register_device(struct modem *modem, int index);
#endif
